Bug 739153 - [6.3 FEAT] libvirt-cim support for domain events
Summary: [6.3 FEAT] libvirt-cim support for domain events
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt-cim
Version: 6.3
Hardware: x86_64
OS: All
medium
medium
Target Milestone: beta
: 6.3
Assignee: Daniel Veillard
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 704634 705085
TreeView+ depends on / blocked
 
Reported: 2011-09-16 15:53 UTC by IBM Bug Proxy
Modified: 2012-06-20 12:01 UTC (History)
8 users (show)

Fixed In Version: libvirt-cim-0.6.0-1.el6
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 12:01:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0757 normal SHIPPED_LIVE libvirt-cim bug fix and enhancement update 2012-06-19 19:30:57 UTC
IBM Linux Technology Center 73800 None None None Never

Description IBM Bug Proxy 2011-09-16 15:53:53 UTC
1. Feature Overview:
Feature Id: [73800]
a. Name of Feature: [6.3 FEAT] libvirt-cim support for domain events
b. Feature Description

libvirt-cim support for domain events

2. Feature Details:
Sponsor: LTC Open Virtualization
Architectures:  x86_64, 

Arch Specificity: purely common code
Affects Kernel Modules: No
Delivery Mechanism: Direct from Community
Category: system management
Request Type: Package - Update Version
d. Upstream Acceptance: ---
Sponsor Priority P2
f. Severity: normal
IBM Confidential: No
Code Contribution: IBM code
g. Component Version Target: ---

3. Business Case
When multiple management points are present, each should be notified of
key events within the hypervisor to help then maintain an accurate view of the
system.

4. Primary contact at Red Hat:
John Jarvis, jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Gregory F. McIntire, mcintire@us.ibm.com

Technical contact(s):
Harold E. Vincent, cvincent@us.ibm.com

Comment 2 IBM Bug Proxy 2012-01-03 02:31:37 UTC
------- Comment From cvincent@linux.vnet.ibm.com 2012-01-02 21:22 EDT-------
The feature has been added to the libvirt-cim-0.6 release available at the following location:

ftp://libvirt.org/libvirt-cim/libvirt-cim-0.6.0.tar.gz

Comment 3 Dave Allan 2012-01-04 21:21:03 UTC
(In reply to comment #2)
> ------- Comment From cvincent@linux.vnet.ibm.com 2012-01-02 21:22 EDT-------
> The feature has been added to the libvirt-cim-0.6 release available at the
> following location:
> 
> ftp://libvirt.org/libvirt-cim/libvirt-cim-0.6.0.tar.gz

Moving to POST.

Comment 4 Rita Wu 2012-01-05 02:55:15 UTC
Hello IBM,

Would you pls help to verify this bug when it's ON_QA?


Thanks,
Rita

Comment 5 IBM Bug Proxy 2012-01-05 15:21:23 UTC
------- Comment From cvincent@linux.vnet.ibm.com 2012-01-05 10:12 EDT-------
Yes, we will test.

Comment 8 min zhan 2012-01-06 07:53:08 UTC
According to Comment 5, I add OtherQA keyword.

Comment 9 John Jarvis 2012-01-10 18:00:24 UTC
This enhancement request was evaluated by the full Red Hat Enterprise Linux
team for inclusion in a Red Hat Enterprise Linux minor release.   As a result
of this evaluation, Red Hat has tentatively approved inclusion of this feature
in the next Red Hat Enterprise Linux Update minor release.   While it is a goal
to include this enhancement in the next minor release of Red Hat Enterprise
Linux, the enhancement is not yet committed for inclusion in the next minor
release pending the next phase of actual code integration and successful Red
Hat and partner testing.

Comment 10 Daniel Veillard 2012-01-12 06:08:40 UTC
The build with the rebased version is done, libvirt-cim-0.6.0-1.el6

Daniel

Comment 12 dyuan 2012-03-15 03:20:12 UTC
Hello IBM,

Would you pls help to verify this bug ?
The latest build is avaliable in http://veillard.com/libvirt/6.3/

Thanks

Comment 13 dyuan 2012-05-07 07:15:45 UTC
Hi IBM,

Would you please help to verify this bug per your test ?

Thanks.

Comment 15 IBM Bug Proxy 2012-05-11 18:30:47 UTC
------- Comment From eblima@br.ibm.com 2012-05-11 18:25 EDT-------
Successfully tested and verified on a fresh install of RHEL6.3 Snapshot 1 (RHEL6.3-20120426.2-Server-x86_64).

Comment 16 Rita Wu 2012-05-14 03:44:15 UTC
(In reply to comment #15)
> ------- Comment From eblima@br.ibm.com 2012-05-11 18:25 EDT-------
> Successfully tested and verified on a fresh install of RHEL6.3 Snapshot 1
> (RHEL6.3-20120426.2-Server-x86_64).

Thanks!
Set it as VERIFIED.

Comment 18 errata-xmlrpc 2012-06-20 12:01:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0757.html


Note You need to log in before you can comment on or make changes to this bug.